org.apache.commons.math3.stat.descriptive

## Interface WeightedEvaluation

- All Known Implementing Classes:
    Mean, Product, Variance

      public interface WeightedEvaluation

  Weighted evaluation for statistics.
  Since:
    2.1
  Version:
    $Id: WeightedEvaluation.java 1382332 2012-09-08 17:27:47Z psteitz $

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `double` | `evaluate(double[] values, double[] weights)` Returns the result of evaluating the statistic over the input array, using the supplied weights.
    `double` | `evaluate(double[] values, double[] weights, int begin, int length)` Returns the result of evaluating the statistic over the specified entries in the input array, using corresponding entries in the supplied weights array.

- - ### Method Detail

    - #### evaluate

          double evaluate(double[] values,
                        double[] weights)
                          throws MathIllegalArgumentException

      Returns the result of evaluating the statistic over the input array, using the supplied weights.
      Parameters:
        `values` - input array
        `weights` - array of weights
      Returns:
        the value of the weighted statistic applied to the input array
      Throws:
        `MathIllegalArgumentException` - if either array is null, lengths do not match, weights contain NaN, negative or infinite values, or weights does not include at least on positive value

    - #### evaluate

          double evaluate(double[] values,
                        double[] weights,
                        int begin,
                        int length)
                          throws MathIllegalArgumentException

      Returns the result of evaluating the statistic over the specified entries in the input array, using corresponding entries in the supplied weights array.
      Parameters:
        `values` - the input array
        `weights` - array of weights
        `begin` - the index of the first element to include
        `length` - the number of elements to include
      Returns:
        the value of the weighted statistic applied to the included array entries
      Throws:
        `MathIllegalArgumentException` - if either array is null, lengths do not match, indices are invalid, weights contain NaN, negative or infinite values, or weights does not include at least on positive value

Copyright (c) 2003-2013 Apache Software Foundation